using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
        {
            //subsequent page loads
        }
        else
        {
            //MsgBox("Init")
            PdfViewer1.Resolution = 100;
            //90 is the default
            PdfViewer1.Height = 1120;
            PdfViewer1.Width = 872;
            PdfViewer1.BorderStyle = BorderStyle.Inset;
            PdfViewer1.DataPath = "App_Data";
            //The name of the sub-folder under the app's folder

            //TempFile should be unique for each user. A good example is login
            //user ID. This is necessary because each user of the application
            //will be creating files in the application's folder. 
            //The user or any unique set of characters
            //can also be used
            string userName = Context.User.Identity.Name;
            int i = userName.IndexOf("\\");
            if (i > 0)
            {
                userName = userName.Substring(i + 1);
            }
            PdfViewer1.TempFile = userName;

            Label3.Text = userName;

            //System.IO.Directory.CreateDirectory(PdfViewer1.PhysicalAppPath & user)
            //PdfViewer1.DataPath = user 'The name of the sub-folder under the app's folder

            //PdfViewer1.TempFile = "JohnDoe"
            try
            {
               System.IO.File.Delete(PdfViewer1.PhysicalAppPath + PdfViewer1.DataPath + "\\" + PdfViewer1.TempFile + ".png");
               System.IO.File.Delete(PdfViewer1.PhysicalAppPath + userName + "\\" + PdfViewer1.TempFile + ".png");
            }
            catch
            {
            }

        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        PdfViewer1.PdfPage = 1;
        //PdfViewer1.PdfPath = "C:\\Source\\VB7\\PDF Viewer Component for ASP .NET\\PDF Viewer\\WebApplication1\\PDF_Files\\pdfview.pdf"; 
        PdfViewer1.DataPath = "App_Data"; //The name of the sub-folder under the app's folder
        PdfViewer1.File = "pdfview.pdf";
        //PdfViewer1.PdfPath = "c:\\temp\\pdfvnet.pdf";
        //PdfViewer1.Password = "password" 
        //PdfViewer1.File = "file.pdf" 
        Label3.Text = PdfViewer1.PdfPath;
        UpdatePageInfo();
        // Display bookmarks (if any) in TreeView control
        // Note: Only first 5 bookmarks will display in trial version
        PdfViewer1.ExportBookmarksToTreeView(TreeView1, false);
    }
    protected void Button7_Click(object sender, EventArgs e)
    {
        PdfViewer1.PdfPage = 1;
        //PdfViewer1.PdfPath = "C:\\Source\\VB7\\PDF Viewer Component for ASP .NET\\PDF Viewer\\WebApplication1\\PDF_Files\\pdfview.pdf"; 
        PdfViewer1.DataPath = "App_Data"; //The name of the sub-folder under the app's folder
        PdfViewer1.File = "pdfview.pdf";
        //PdfViewer1.PdfPath = "c:\\temp\\pdfvnet.pdf";
        //PdfViewer1.Password = "password" 
        //PdfViewer1.File = "file.pdf" 
        Label3.Text = PdfViewer1.PdfPath;
        UpdatePageInfo();
        // Display bookmarks (if any) in TreeView control
        // Note: Only first 5 bookmarks will display in trial version
        PdfViewer1.ExportBookmarksToTreeView(TreeView1, false);
    }
    protected void Button3_Click(object sender, EventArgs e)
    {
        if (FileUpload1.HasFile)
        {
            try
            {
                //Label3.Text = PdfViewer1.PhysicalAppPath & FileUpload1.FileName
                //FileUpload1.SaveAs(PdfViewer1.PdfDir & PdfViewer1.TempFile & "_" & FileUpload1.FileName)
                string userName = Context.User.Identity.Name;
                int i = userName.IndexOf("\\");
                if (i > 0)
                {
                    userName = userName.Substring(i + 1);
                }
                PdfViewer1.TempFile = userName;
                //The name of the sub-folder under the app's folder
                FileUpload1.SaveAs(PdfViewer1.PhysicalAppPath + PdfViewer1.DataPath + "\\" + PdfViewer1.TempFile + "_" + FileUpload1.FileName);
                PdfViewer1.PdfPage = 1;
                PdfViewer1.File = PdfViewer1.TempFile + "_" + FileUpload1.FileName;
                Label3.Text = PdfViewer1.PdfPath;
                UpdatePageInfo();
                PdfViewer1.ExportBookmarksToTreeView(TreeView1, false);
                //Label3.Text = "File name: " & _
                //   FileUpload1.PostedFile.FileName & "<br>" & _
                //   "File Size: " & _
                //   FileUpload1.PostedFile.ContentLength & " kb<br>" & _
                //   "Content type: " & _
                //   FileUpload1.PostedFile.ContentType
            }
            catch (Exception ex)
            {
                Label3.Text = "ERROR: " + ex.Message.ToString();
            }
        }
        else
        {
            Label3.Text = "You have not specified a file. Please click the 'Browse...' Button above to select a PDF file located on the client then click button 'Open PDF on Client' again.";
        }

    }
    protected void Button8_Click(object sender, EventArgs e)
    {
        if (FileUpload1.HasFile)
        {
            try
            {
                //Label3.Text = PdfViewer1.PhysicalAppPath & FileUpload1.FileName
                //FileUpload1.SaveAs(PdfViewer1.PdfDir & PdfViewer1.TempFile & "_" & FileUpload1.FileName)
                string userName = Context.User.Identity.Name;
                int i = userName.IndexOf("\\");
                if (i > 0)
                {
                    userName = userName.Substring(i + 1);
                }
                PdfViewer1.TempFile = userName;
                //The name of the sub-folder under the app's folder
                FileUpload1.SaveAs(PdfViewer1.PhysicalAppPath + PdfViewer1.DataPath + "\\" + PdfViewer1.TempFile + "_" + FileUpload1.FileName);
                PdfViewer1.PdfPage = 1;
                PdfViewer1.File = PdfViewer1.TempFile + "_" + FileUpload1.FileName;
                Label3.Text = PdfViewer1.PdfPath;
                UpdatePageInfo();
                PdfViewer1.ExportBookmarksToTreeView(TreeView1, false);
                //Label3.Text = "File name: " & _
                //   FileUpload1.PostedFile.FileName & "<br>" & _
                //   "File Size: " & _
                //   FileUpload1.PostedFile.ContentLength & " kb<br>" & _
                //   "Content type: " & _
                //   FileUpload1.PostedFile.ContentType
            }
            catch (Exception ex)
            {
                Label3.Text = "ERROR: " + ex.Message.ToString();
            }
        }
        else
        {
            Label3.Text = "You have not specified a file. Please click the 'Browse...' Button above to select a PDF file located on the client then click button 'Open PDF on Client' again.";
        }
    }

    private void UpdatePageInfo()
    {
        Label1.Text = "Page " + PdfViewer1.PdfPage + " of " + PdfViewer1.PdfTotalPages;
        Label2.Text = "Page " + PdfViewer1.PdfPage + " of " + PdfViewer1.PdfTotalPages;
    }
    protected void Button6_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.FirstPage();
        UpdatePageInfo();
    }
    protected void Button9_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.FirstPage();
        UpdatePageInfo();
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.PreviousPage();
        UpdatePageInfo();
    }
    protected void Button10_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.PreviousPage();
        UpdatePageInfo();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.NextPage();
        UpdatePageInfo();
    }
    protected void Button11_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.NextPage();
        UpdatePageInfo();
    }
    protected void Button5_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.LastPage();
        UpdatePageInfo();
    }
    protected void Button12_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        PdfViewer1.LastPage();
        UpdatePageInfo();
    }
    protected void Button13_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        bool b = false;
        b = PdfViewer1.SetPage(System.Convert.ToInt32(TextBox1.Text));
        UpdatePageInfo();
    }
    protected void Button14_Click(object sender, EventArgs e)
    {
        if (PdfViewer1.IsPdfLoaded == false) return;
        bool b = false;
        b = PdfViewer1.SetPage(System.Convert.ToInt32(TextBox2.Text));
        UpdatePageInfo();
    }
    protected void Button15_Click(object sender, EventArgs e)
    {
        //PdfViewer1.PrintWithAPI(); //Uses default PDF printer (usually Adobe Reader) to print the active PDF 
        PdfViewer1.Print(150, false, false, false, false);
    }
    protected void Button17_Click(object sender, EventArgs e)
    //The source PDF file that contains blank form field values 
    {
        PdfViewer1.PdfPage = 1;
        PdfViewer1.DataPath = "App_Data"; //The name of the sub-folder under the app's folder
        PdfViewer1.File = "fields.pdf";
        Label3.Text = PdfViewer1.PdfPath;
        UpdatePageInfo();
        //The target PDF file that will contain the filled field values 
        PdfViewer1.PdfFormFile = "filled.pdf";
        //Store values in arrays 
        //Field names 
        string[] fieldNames = new string[11];
        fieldNames[0] = "form1[0].#subform[0].TextField1[0]";
        fieldNames[1] = "form1[0].#subform[0].TextField2[0]";
        fieldNames[2] = "form1[0].#subform[0].TextField3[0]";
        fieldNames[3] = "form1[0].#subform[0].TextField4[0]";
        fieldNames[4] = "form1[0].#subform[0]..DateTimeField1[0]";
        fieldNames[5] = "form1[0].#subform[0].ListBox1[0]";
        fieldNames[6] = "form1[0].#subform[0].NumericField1[0]";
        fieldNames[7] = "form1[0].#subform[0].State[0]";
        fieldNames[8] = "form1[0].#subform[0].email[0]";
        fieldNames[9] = "form1[0].#subform[0].CheckBox1[0]";
        fieldNames[10] = "form1[0].#subform[0].RadioButtonList[0]";
        //Field values 
        string[] fieldValues = new string[11];
        fieldValues[0] = "John Doe";
        fieldValues[1] = "27560";
        fieldValues[2] = "123 Main St";
        fieldValues[3] = "Raleigh";
        fieldValues[4] = "04/21/2009";
        fieldValues[5] = "White";
        fieldValues[6] = "42";
        fieldValues[7] = "NC";
        fieldValues[8] = "johndoe@mail.com";
        fieldValues[9] = "1";
        fieldValues[10] = "1";
        //set to "2" for Female 
        //Flatten fields? 
        bool[] flatten = new bool[11];
        flatten[0] = false;
        flatten[1] = true;
        flatten[2] = true;
        flatten[3] = true;
        flatten[4] = true;
        flatten[5] = true;
        flatten[6] = true;
        flatten[7] = true;
        flatten[8] = true;
        flatten[9] = true;
        flatten[10] = true;
        PdfViewer1.FillFormField(fieldNames, fieldValues, flatten);
        //Open the filled PDF file 
        PdfViewer1.File = "filled.pdf";
        Label3.Text = PdfViewer1.PdfPath;
        UpdatePageInfo();
        PdfViewer1.PdfFormFile = "";
    }
    protected void Button16_Click(object sender, EventArgs e)
    {
        PdfViewer1.UnloadPDF();
        Label1.Text = "";
        Label2.Text = "";
        Label3.Text = "";
    }
    protected void TreeView1_SelectedNodeChanged(object sender, EventArgs e)
    {
        bool b = false;
        b = PdfViewer1.SetPage(Convert.ToInt32(TreeView1.SelectedNode.Value));
        UpdatePageInfo();
    }
}
